exec.h File Reference
`#include <core/posix/child_process.h>`
`#include <core/posix/visibility.h>`
`#include <functional>`
`#include <map>`
`#include <string>`
`#include <vector>`
Include dependency graph for exec.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| core
| core::posix

## Functions

CORE_POSIX_DLL_PUBLIC ChildProcess | core::posix::exec (const std::string &fn, const std::vector< std::string > &argv, const std::map< std::string, std::string > &env, const StandardStream &flags)
| exec execve's the executable with the provided arguments and environment. More...
CORE_POSIX_DLL_PUBLIC ChildProcess | core::posix::exec (const std::string &fn, const std::vector< std::string > &argv, const std::map< std::string, std::string > &env, const StandardStream &flags, const std::function< void()> &child_setup)
| exec execve's the executable with the provided arguments and environment. More...